﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WpfApp1_drives.BL;

namespace WpfApp1_drives.UI
{
    class EntrySelectorViaWindow : IEntrySelectorService
    {
        public void SelectEntry(DirectoryEntry entry)
        {
            if (string.IsNullOrEmpty(entry?.Name)) return;

            if (entry.IsDir)
            {
                MainWindow window = new MainWindow(entry.Name);
                window.Show();
            }
            else
            {
                System.Diagnostics.Process.Start("cmd.exe", $"/c start \"X\" \"{entry.Name}\"");
            }
        }
    }
}
